Bug 177526 - Update port: security/py-keyring Upgrade to 1.2.2
Summary: Update port: security/py-keyring Upgrade to 1.2.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Frederic Culot
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-31 20:40 UTC by Douglas Thrift
Modified: 2013-04-17 08:30 UTC (History)
1 user (show)

See Also:


Attachments
py-keyring.2013-03-31T062749Z.diff (5.09 KB, patch)
2013-03-31 20:40 UTC, Douglas Thrift
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Douglas Thrift 2013-03-31 20:40:00 UTC
Upgraded security/py-keyring to version 1.2.2.

https://redports.org/buildarchive/20130330193215-86286/

From CHANGES.rst:

-----
1.2.2
-----

* Fixed handling situations when user cancels kwallet dialog or denies access
  for the app.

-----
1.2.1
-----

* Fix for kwallet delete.
* Fix for OS X backend on Python 3.
* Issue #84: Fix for Google backend on Python 3 (use of raw_input not caught
  by 2to3).
Comment 1 Edwin Groothuis freebsd_committer 2013-03-31 20:40:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Frederic Culot freebsd_committer 2013-04-10 13:04:42 UTC
Responsible Changed
From-To: freebsd-python->culot

I'll take it.
Comment 3 dfilter service freebsd_committer 2013-04-17 08:24:34 UTC
Author: culot
Date: Wed Apr 17 07:24:26 2013
New Revision: 315939
URL: http://svnweb.freebsd.org/changeset/ports/315939

Log:
  - Update to 1.2.2
  
  Changes:	http://pypi.python.org/pypi/keyring/1.2.2#changes
  PR:		ports/177526
  Submitted by: 	Douglas William Thrift <douglas@douglasthrift.net> (maintainer)
  Feature safe:	yes

Modified:
  head/security/py-keyring/Makefile
  head/security/py-keyring/distinfo
  head/security/py-keyring/pkg-plist

Modified: head/security/py-keyring/Makefile
==============================================================================
--- head/security/py-keyring/Makefile	Wed Apr 17 07:11:47 2013	(r315938)
+++ head/security/py-keyring/Makefile	Wed Apr 17 07:24:26 2013	(r315939)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	keyring
-PORTVERSION=	1.2
-PORTREVISION=	1
+PORTVERSION=	1.2.2
 CATEGORIES=	security python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}

Modified: head/security/py-keyring/distinfo
==============================================================================
--- head/security/py-keyring/distinfo	Wed Apr 17 07:11:47 2013	(r315938)
+++ head/security/py-keyring/distinfo	Wed Apr 17 07:24:26 2013	(r315939)
@@ -1,2 +1,2 @@
-SHA256 (keyring-1.2.zip) = 1a4b17ade8ce4e21f8ffcd860afa99fc6c6732c55a65407432c98b4e2e0358be
-SIZE (keyring-1.2.zip) = 77251
+SHA256 (keyring-1.2.2.zip) = 20e4e34f15deca61d5a58edc1d2e5e3720cbdc340726d4918590036db6decfab
+SIZE (keyring-1.2.2.zip) = 79028

Modified: head/security/py-keyring/pkg-plist
==============================================================================
--- head/security/py-keyring/pkg-plist	Wed Apr 17 07:11:47 2013	(r315938)
+++ head/security/py-keyring/pkg-plist	Wed Apr 17 07:24:26 2013	(r315939)
@@ -75,6 +75,42 @@ bin/keyring
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/__init__.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/__init__.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/backends/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/backends/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/backends/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/backends/test_Gnome.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/backends/test_Gnome.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/backends/test_Gnome.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/backends/test_Google.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/backends/test_Google.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/backends/test_Google.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/backends/test_OS_X.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/backends/test_OS_X.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/backends/test_OS_X.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/backends/test_SecretService.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/backends/test_SecretService.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/backends/test_SecretService.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/backends/test_Windows.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/backends/test_Windows.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/backends/test_Windows.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/backends/test_crypto.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/backends/test_crypto.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/backends/test_crypto.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/backends/test_file.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/backends/test_file.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/backends/test_file.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/backends/test_keyczar.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/backends/test_keyczar.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/backends/test_keyczar.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/backends/test_kwallet.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/backends/test_kwallet.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/backends/test_kwallet.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/backends/test_multi.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/backends/test_multi.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/backends/test_multi.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/backends/test_pyfs.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/backends/test_pyfs.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/backends/test_pyfs.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/mocks.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/mocks.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/mocks.pyo
@@ -109,6 +145,7 @@ bin/keyring
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/util/properties.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/util/properties.pyo
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/util
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests/backends
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/tests
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring/backends
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/keyring
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Frederic Culot freebsd_committer 2013-04-17 08:25:28 UTC
State Changed
From-To: open->closed

Committed. Thanks!